#ifndef QPE_DECORATION_QWS_H__
#define QPE_DECORATION_QWS_H__


#include <qwsdefaultdecoration_qws.h>


#ifndef QT_NO_QWS_QPE_WM_STYLE


class QPEDecoration : public QWSDefaultDecoration
{
public:
    QPEDecoration();
    virtual ~QPEDecoration();

    virtual QRegion region(const QWidget *, const QRect &rect, Region);
    virtual void paint(QPainter *, const QWidget *);
    virtual void paintButton(QPainter *, const QWidget *, Region, int state);

    void maximize( QWidget * );
    void minimize( QWidget * );
    //#ifndef QT_NO_POPUPMENU
    //virtual QPopupMenu *menu(QWSManager *, const QWidget *, const QPoint &);
    //#endif
    
protected:
//    virtual int getTitleWidth(const QWidget *);
    virtual int getTitleHeight(const QWidget *);
    virtual const char **menuPixmap();
    virtual const char **closePixmap();
    virtual const char **minimizePixmap();
    virtual const char **maximizePixmap();
    virtual const char **normalizePixmap();
};


#endif // QT_NO_QWS_QPE_WM_STYLE


#endif // QPE_DECORATION_QWS_H__
