#ifndef __MEDIA_BUTTON_H__
#define __MEDIA_BUTTON_H__


#include <qpainter.h>
#include <qimage.h>
#include <qpaintdevice.h>
#include <qbutton.h>


class MediaButton : public QButton
{
Q_OBJECT
public:
    MediaButton( QWidget *parent = 0, bool toggle=FALSE, int x = 0, int y = 0, int controlType = 0, int size = 0 );
    void setControlType( int );
protected:
    virtual void drawButton( QPainter *p );
    // virtual void drawButtonLabel( QPainter *p );
private:
    int size;
    int controlType;
};


#endif

